ATANH(3)

NAME
atanh, atanhf, atanhl - inverse hyperbolic tangent functions

SYNOPSIS
#include <math.h>
double
atanh(double x);
float
atanhf(float x);
long double
atanhl(long double x);

DESCRIPTION
The atanh() function computes the inverse hyperbolic tangent of the real argument x. The atanhf() function is a single precision version of atanh(). The atanhl() function is an extended precision version of atanh().

RETURN VALUES
If |x|>=1, atanh(x), atanhf(x) and atanhl(x) return +infinity, -infinity or NaN, and set the global variable errno to EDOM.

SEE ALSO
acosh(3), asinh(3), exp(3), fpclassify(3)

HISTORY
The atanh() function appeared in 4.3BSD.